Bug 202126 - [patch] science/pulseview: disable Werror, add LICENSE_FILE
Summary: [patch] science/pulseview: disable Werror, add LICENSE_FILE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-06 12:41 UTC by Andriy Voskoboinyk
Modified: 2015-08-18 20:07 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (uffe)


Attachments
Patch.diff (1.71 KB, patch)
2015-08-06 12:41 UTC, Andriy Voskoboinyk
no flags Details | Diff
portlint.log (186 bytes, text/plain)
2015-08-06 12:43 UTC, Andriy Voskoboinyk
no flags Details
poudriere-9.3-i386.log (132.10 KB, text/plain)
2015-08-06 12:43 UTC, Andriy Voskoboinyk
no flags Details
poudriere-10.1-amd64.log (132.47 KB, text/plain)
2015-08-06 13:18 UTC, Andriy Voskoboinyk
no flags Details
11.0-amd64.log (491.09 KB, text/plain)
2015-08-06 13:19 UTC, Andriy Voskoboinyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andriy Voskoboinyk freebsd_committer 2015-08-06 12:41:59 UTC
Created attachment 159610 [details]
Patch.diff

- Disable -Werror (should unbreak build on 11-CURRENT).
- Add LICENSE_FILE.
- Replace .000000000 +0000 in patch headers with UTC (make makepatch).
Comment 1 Andriy Voskoboinyk freebsd_committer 2015-08-06 12:43:02 UTC
Created attachment 159611 [details]
portlint.log
Comment 2 Andriy Voskoboinyk freebsd_committer 2015-08-06 12:43:36 UTC
Created attachment 159612 [details]
poudriere-9.3-i386.log
Comment 3 Andriy Voskoboinyk freebsd_committer 2015-08-06 13:18:32 UTC
Created attachment 159615 [details]
poudriere-10.1-amd64.log
Comment 4 Andriy Voskoboinyk freebsd_committer 2015-08-06 13:19:20 UTC
Created attachment 159616 [details]
11.0-amd64.log
Comment 5 Philip M. Gollucci freebsd_committer 2015-08-12 01:51:42 UTC
Take.
Comment 6 commit-hook freebsd_committer 2015-08-18 20:03:47 UTC
A commit references this bug:

Author: pgollucci
Date: Tue Aug 18 20:02:42 UTC 2015
New revision: 394651
URL: https://svnweb.freebsd.org/changeset/ports/394651

Log:
  science/pulseview: disable Werror, add LICENSE_FILE

  - Disable -Werror (should unbreak build on 11-CURRENT).
  - Add LICENSE_FILE.
  - Replace .000000000 +0000 in patch headers with UTC (make makepatch).

  PR:                  202126
  Submitted by:        s3erios@gmail.com
  Approved by:         uffe@uffe.org

Changes:
  head/science/pulseview/Makefile
  head/science/pulseview/files/patch-pv_data_signaldata.cpp
  head/science/pulseview/files/patch-pv_data_signaldata.h
Comment 7 Philip M. Gollucci freebsd_committer 2015-08-18 20:07:36 UTC
Committed. Thanks!